package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class RevenueBoxGloDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;

	private boolean revenueGlobal;
    private boolean revenueBox;
    
	private String[][] datosRevenueGlobal;
	private String[][] datosRevenueBox;
	private String[]   periodos;

	private List<List<String>> datosGlobal;
	private List<List<String>> datosBox;

	public boolean isRevenueGlobal() {
		return revenueGlobal;
	}
	public void setRevenueGlobal(boolean revenueGlobal) {
		this.revenueGlobal = revenueGlobal;
	}
	public boolean isRevenueBox() {
		return revenueBox;
	}
	public void setRevenueBox(boolean revenueBox) {
		this.revenueBox = revenueBox;
	}
	public String[][] getDatosRevenueGlobal() {
		return datosRevenueGlobal;
	}
	public void setDatosRevenueGlobal(String[][] datosRevenueGlobal) {
		this.datosRevenueGlobal = datosRevenueGlobal;
	}
	public String[][] getDatosRevenueBox() {
		return datosRevenueBox;
	}
	public void setDatosRevenueBox(String[][] datosRevenueBox) {
		this.datosRevenueBox = datosRevenueBox;
	}
	public String[] getPeriodos() {
		return periodos;
	}
	public void setPeriodos(String[] periodos) {
		this.periodos = periodos;
	}
	public List<List<String>> getDatosGlobal() {
		return datosGlobal;
	}
	public void setDatosGlobal(List<List<String>> datosGlobal) {
		this.datosGlobal = datosGlobal;
		if(datosGlobal != null)
		{
			this.datosRevenueGlobal =  new String[datosGlobal.size()][datosGlobal.get(0).size()];		
			for(int i=0; i<datosGlobal.size();i++)
				for(int j=0; j<datosGlobal.get(0).size();j++)			
					datosRevenueGlobal[i][j] = datosGlobal.get(i).get(j);	
		}
	}
	public List<List<String>> getDatosBox() {
		return datosBox;
	}
	public void setDatosBox(List<List<String>> datosBox) {
		this.datosBox = datosBox;
		if(datosBox != null)
		{
			this.datosRevenueBox =  new String[datosBox.size()][datosBox.get(0).size()];		
			for(int i=0; i<datosBox.size();i++)
				for(int j=0; j<datosBox.get(0).size();j++)			
					datosRevenueBox[i][j] = datosBox.get(i).get(j);	
		}
	}	

}
